1.2

1.2

get /v1/vpc-endpoints

Description

Get VPC Endpoint list.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
VPC Endpoint ID
Example : 12f56e27070248a6a240a497e43fbe18
any of [string, null]None
queryname
optional
VPC Endpoint Name
Example : VpcEndpointName
any of [string, null]None
queryvpc_id
optional
VPC Id
Example : 7df8abb4912e4709b1cb237daccca7a8
any of [string, null]None
queryvpc_name
optional
VPC Name
Example : vpcName
any of [string, null]None
querysubnet_id
optional
Subnet Id
Example : 023c57b14f11483689338d085e061492
any of [string, null]None
queryresource_key
optional
VPC Endpoint Resource Key
Example : 07c5364702384471b650147321b52173
any of [string, null]None
queryresource_type
optional
VPC Endpoint Resource Type
Example : FS
any of [enum (FS, OBS, SCR, DNS), null]None
queryendpoint_ip_address
optional
VPC Endpoint IP Address
Example : 192.167.0.5
any of [string, null]None
querystate
optional
VPC Endpoint State
Example : ACTIVE
any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKVpcEndpointListResponseV1Dot2
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "vpc_endpoints": [
        {
            "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "VpcEndpoint Description",
            "endpoint_ip_address": "192.167.0.5",
            "id": "12f56e27070248a6a240a497e43fbe18",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "VpcEndpointName",
            "resource_info": "x.samsungsdscloud.com(Registry)",
            "resource_key": "07c5364702384471b650147321b52173",
            "resource_type": "FS",
            "state": "ACTIVE",
            "subnet_id": "023c57b14f11483689338d085e061492",
            "subnet_name": "subnetName",
            "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
            "vpc_name": "vpcName"
        }
    ]
}